import request from '@/utils/request'

// 查询出差记录信息列表
export function listTrip(query) {
  return request({
    url: '/business/trip/list',
    method: 'get',
    params: query
  })
}

// 查询出差记录信息详细
export function getTrip(id) {
  return request({
    url: '/business/trip/' + id,
    method: 'get'
  })
}

// 新增出差记录信息
export function addTrip(data) {
  return request({
    url: '/business/trip',
    method: 'post',
    data: data
  })
}

// 修改出差记录信息
export function updateTrip(data) {
  return request({
    url: '/business/trip/put',
    method: 'post',
    data: data
  })
}

export function audit(query) {
  return request({
    url: '/business/trip/audit',
    method: 'get',
    params: query
  })
}


// 删除出差记录信息
export function delTrip(id) {
  return request({
    url: '/business/trip/delete/' + id,
    method: 'get'
  })
}
